org.apache.cassandra.db

## Class IndexScanCommand

- java.lang.Object
- - org.apache.cassandra.db.IndexScanCommand

-     public class IndexScanCommand
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `column_family`
    `IndexClause` | `index_clause`
    `java.lang.String` | `keyspace`
    `SlicePredicate` | `predicate`
    `AbstractBounds<RowPosition>` | `range`
    `static org.apache.cassandra.db.IndexScanCommand.IndexScanCommandSerializer` | `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexScanCommand(java.lang.String keyspace, java.lang.String column_family, IndexClause index_clause, SlicePredicate predicate, AbstractBounds<RowPosition> range)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageOut<IndexScanCommand>` | `createMessage()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final org.apache.cassandra.db.IndexScanCommand.IndexScanCommandSerializer serializer

    - #### keyspace

          public final java.lang.String keyspace

    - #### column_family

          public final java.lang.String column_family

    - #### index_clause

          public final IndexClause index_clause

    - #### predicate

          public final SlicePredicate predicate

    - #### range

          public final AbstractBounds<RowPosition> range

  - ### Constructor Detail

    - #### IndexScanCommand

          public IndexScanCommand(java.lang.String keyspace,
                          java.lang.String column_family,
                          IndexClause index_clause,
                          SlicePredicate predicate,
                          AbstractBounds<RowPosition> range)

  - ### Method Detail

    - #### createMessage

          public MessageOut<IndexScanCommand> createMessage()

Copyright © 2014 The Apache Software Foundation